Bug 244754 - crashes at startup, possibly due to missing net.sf.gaim.GaimService
crashes at startup, possibly due to missing net.sf.gaim.GaimService
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mugshot (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 18:35 EDT by Nalin Dahyabhai
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 16:01:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2007-06-18 18:35:05 EDT
Description of problem:
When I launch the mugshot client on a fully-updated (as of today) Raw Hide
system, I see these messages:

Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files
Segmentation fault (core dumped)

Version-Release number of selected component (if applicable):
mugshot-1.1.43-2.fc8

How reproducible:
Always

Steps to Reproduce:
1. Update to Raw Hide, 18 June 2007
2. 'mugshot'
  
Actual results:
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files
Segmentation fault (core dumped)

Expected results:
Happy face, lots of distracting popups. :)

Additional info:
A gdb log:

(gdb) frame
#0  0x0000000000428374 in pidgin_store_state (notifications=0x0)
    at src/hippo-dbus-pidgin.c:118
118         for (tmp = pidgin_state->accounts;
(gdb) where
#0  0x0000000000428374 in pidgin_store_state (notifications=0x0)
    at src/hippo-dbus-pidgin.c:118
#1  0x0000000000433f3e in main (argc=1, argv=0x7fff13a351c8) at src/main.c:883
(gdb) print pidgin_state
$1 = (PidginState *) 0x0

I have pidgin installed, but I don't use it.  Uninstalling it doesn't seem to
affect whether or not this crash occurs.
Comment 1 Owen Taylor 2007-06-18 19:25:57 EDT
Yeah, I built a 1.1.44 for F-7 fixing the problem, but left on Friday before
testing and doing new builds for devel (and FC6).

You can work around the problem by starting pidgin and not using it :-)
Comment 2 Owen Taylor 2007-06-19 16:01:13 EDT
mugshot-1.1.45-1.fc8 now built in Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.